#ifndef HOJA_H
#define HOJA_H


class Hoja
{
	public :
		// Variable members
    	long int  Vertices[4]; // Array of pointers to vertices
		float Normal[3];
		long int  Cuantas_hojas;
		float Centro[3];
		int hoja_cerca;
		float coplanar;
		long int hoja_cop;
		float dist;
		bool existe;
		float criterio;
		long int hoja_crit;

		// Identificadores de los tringulos que forman la hoja
		long int id_triangulo[2];

	public :
		// Constructors
		Hoja (void); // Void constructor
		Hoja (const Hoja& aHoja); // Copy constructor
		virtual ~Hoja (void); // Destructor
		//
		float Distancia (Hoja&);
		float Coplanaridad (Hoja&);
};

#endif